View Issue Details

IDProjectCategoryView StatusLast Update
0000899FreeCADBugpublic2012-12-18 12:37
ReporterpervicesAssigned To 
PrioritynormalSeveritymajorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version0.12 
Target VersionFixed in Version0.13 
Summary0000899: Unable to see any parts created when upgrading to latest freecad
DescriptionAfter re-installing freecad, I am unable to see any parts created previously but still have dimension lines and text visible in the drawings.

Additionally (possibly related), I am unable to see the Complete workbench: resulting error is:
/usr/lib/freecad-git/Mod/Part/libPartGui.so.2: undefined symbol: _ZN7PartGui13TaskThickness16staticMetaObjectE

Both of the above has occurred in all freecad files I have previously created (not unique to specific file)
Additional InformationSteps to reproduce (non visible parts):

1. Open terminal and install freecad using yaourt -S freecad-git

2. Open attached file (either directly or from menu options in freecad)

Expected result: able to view and manipulate objects (such as boxes and cylinders)
Actual result: unable to see any objects but dimension lines and text is visible

Steps to reproduce (Complete Workbench error):

1. Open attached file

2. Click on the workbench drop down

3. Select Complete

Expected Result: enter into complete workbench mode
Actual Result: The following error appears: /usr/lib/freecad-git/Mod/Part/libPartGui.so.2: undefined symbol: _ZN7PartGui13TaskThickness16staticMetaObjectE
TagsNo tags attached.

Activities

2012-12-05 13:33

 

NOCTAR-bracket.FCStd (Attachment missing)

2012-12-05 16:37

 

FreeCAD.log (Attachment missing)

pervices

2012-12-05 16:38

reporter   ~0002615

Attached log file for additional information.

wmayer

2012-12-07 10:20

administrator   ~0002622

> /usr/lib/freecad-git/Mod/Part/libPartGui.so.2: undefined symbol: _ZN7PartGui13TaskThickness16staticMetaObjectE
If you built FreeCAD using automake this should be fixed now.

wmayer

2012-12-18 12:37

administrator   ~0002659

No feedback. But is already done by fixing automake makefiles.

Issue History

Date Modified Username Field Change
2012-12-05 13:33 pervices New Issue
2012-12-05 13:33 pervices File Added: NOCTAR-bracket.FCStd
2012-12-05 16:37 pervices File Added: FreeCAD.log
2012-12-05 16:38 pervices Note Added: 0002615
2012-12-07 10:20 wmayer Note Added: 0002622
2012-12-18 12:37 wmayer Note Added: 0002659
2012-12-18 12:37 wmayer Status new => closed
2012-12-18 12:37 wmayer Resolution open => fixed
2012-12-18 12:37 wmayer Fixed in Version => 0.13